-- =============================================
-- Author:		Fabrizio Caruso	
-- Create date: 17/09/2014
-- Description:	
-- TODO --- Da ottimizzare per Data Quality 
-- =============================================
CREATE procedure [C6MartPeriodico].[SP_DQ_DescCatalogoProdottiScadenze_pre_selective]
@idFaseElaborazione int
AS
BEGIN
Declare @idTipoControllo int
set @idTipoControllo=11	
	      SELECT @idTipoControllo idTipoControllo,RETE, COD_FISCALE as codfis
	      	   into #TbErrori
			FROM [C6MartPeriodico].[SCADENZE] WHERE ISNULL(DesProd,'') ='' 
declare @idElab  int
select @idElab=max(id_elab) from  c6martperiodico.elaborazioni
Insert into C6MartPeriodico.TB_SegnalazioniDataQuality
( 
idTipoControllo,
rete,
codiceFiscale,
descSegnalazione,
idElaborazione,
richiesta,
idFaseElaborazione)
select tbErr.idTipoControllo,rete,codfis,descSegnalazione,@idelab,'',@idFaseElaborazione
from #TbErrori tbErr
inner join c6martperiodico.tb_tipocontrollo Tipo
on tbErr.idtipocontrollo = tipo.idTipoControllo
end